Skip to main content
Version: Current

Get List Partner Hosted Models

Overview​

Retrieves list of Partner Hosted Models. This endpoint returns a list of hosted models for the currently authenticated partner.

Endpoint Details​

URL:​

/api/integration/partner/models/all

Method :​

GET

Request​

{'Content-Type': 'application/json; charset=utf-8'}

Query Parameter​

NameInDescription
serviceProviderNamequeryOptionally, the service provider name used to filter results.

Response:​

HTTP Status Codes​

  • Success Response
StatusDescription
200The list of partner hosted models are retrieved successfully.
  • Error Responses
StatusDescription
400Bad Request – The partner ID or user ID is invalid.
401Unauthorized – Authentication is required to access this resource.
403Forbidden – The user lacks IntelliAppZ access or is not authenticated as a partner.
404Not Found – No partner record is associated with the authenticated user.
500Internal Server Error – An unexpected error occurred during request processing.

Response Body​

Default without serviceProviderName​

  https://accounts.onintellibuddies.com/api/integration/partner/models/all
[
{
"serviceProviderName": "Meta",
"modelName": "Llama-2-70b-chat",
"hostingPlatform": "Azure",
"maxTokenSize": 4096,
"isEnabled": true
},
{
"serviceProviderName": "Meta",
"modelName": "llama3.2:latest",
"hostingPlatform": "Ollama",
"maxTokenSize": 131072,
"isEnabled": true
}
]

With serviceProviderName=meta​

  https://accounts.onintellibuddies.com/api/integration/partner/models/all?serviceProviderName=meta
[
{
"serviceProviderName": "Meta",
"modelName": "Llama-2-70b-chat",
"hostingPlatform": "Azure",
"maxTokenSize": 4096,
"isEnabled": true
},
{
"serviceProviderName": "Meta",
"modelName": "llama3.2:latest",
"hostingPlatform": "Ollama",
"maxTokenSize": 131072,
"isEnabled": true
}
]